Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.macromedia.generator.api
Class Bitmap

    java.lang.Object
      |
      +--com.macromedia.generator.api.GenObject
            |
            +--com.macromedia.generator.api.Bitmap

public class Bitmap
extends GenObject

Fields inherited from class com.macromedia.generator.api.GenObject
`peer`

Constructor Summary
`` | `Bitmap()`
`protected` | `Bitmap(int i)`

Method Summary
`protected void` | `finalize()`
`Rect` | `getBounds()`
`int` | `getExport()`
`int` | `getHeight()`
`int` | `getQuality()`
`int` | `getWidth()`
`void` | `release()`
`void` | `setBuffer(Buffer buffer)`
`void` | `setCenter(int i, int j)`
`void` | `setExport(int i)`
`void` | `setFile(java.lang.String s)`
`void` | `setPngBuffer(Buffer buffer)`
`void` | `setPngFile(java.lang.String s)`
`void` | `setQuality(int i)`

Methods inherited from class com.macromedia.generator.api.GenObject
`getPeer`

Methods inherited from class java.lang.Object
`, clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Bitmap

    public Bitmap()
           throws GeneratorApiException

### Bitmap

    protected Bitmap(int i)
              throws GeneratorApiException

Method Detail

### finalize

    protected void finalize()
                     throws java.lang.Throwable

  Overrides:
    `finalize` in class `java.lang.Object`

### getBounds

    public Rect getBounds()
                   throws GeneratorApiException

### getExport

    public int getExport()
                  throws GeneratorApiException

### getHeight

    public int getHeight()
                  throws GeneratorApiException

### getQuality

    public int getQuality()
                   throws GeneratorApiException

### getWidth

    public int getWidth()
                 throws GeneratorApiException

### release

    public void release()

  Overrides:
    `release` in class `GenObject`

### setBuffer

    public void setBuffer(Buffer buffer)
                   throws GeneratorApiException

### setCenter

    public void setCenter(int i,
                          int j)
                   throws GeneratorApiException

### setExport

    public void setExport(int i)
                   throws GeneratorApiException

### setFile

    public void setFile(java.lang.String s)
                 throws GeneratorApiException

### setPngBuffer

    public void setPngBuffer(Buffer buffer)
                      throws GeneratorApiException

### setPngFile

    public void setPngFile(java.lang.String s)
                    throws GeneratorApiException

### setQuality

    public void setQuality(int i)
                    throws GeneratorApiException

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD